---
title: "Get project details - Xata"
description: "Retrieves detailed information about a specific project by its ID within the specified organization."
source: "https://xata.io/docs/api-reference/projects/get-project-details"
---

Skip to main content

GET

/

organizations

/

{organizationID}

/

projects

/

{projectID}

Get project details

```
curl --request GET
  --url https://api.xata.tech/organizations/{organizationID}/projects/{projectID}
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://api.xata.tech/organizations/{organizationID}/projects/{projectID}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.xata.tech/organizations/{organizationID}/projects/{projectID}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

```
{
  "id": "<string>",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "configuration": {
    "scaleToZero": {
      "baseBranches": {
        "enabled": true,
        "inactivityPeriodMinutes": 30
      },
      "childBranches": {
        "enabled": true,
        "inactivityPeriodMinutes": 30
      }
    },
    "ipFiltering": {
      "enabled": true,
      "cidr": [
        {
          "cidr": "<string>",
          "description": "<string>"
        }
      ]
    }
  }
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

#### Authorizations

​

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

#### Path Parameters

​

organizationID

string

required

Unique identifier of the organization containing the project

Pattern: `[a-zA-Z0-9_-~:]+`

​

projectID

string

required

Unique identifier of the project to retrieve

#### Response

Project details retrieved successfully

Details of a project including its ID, name, and creation/update timestamps

​

id

string

required

Unique identifier for the project

​

name

string

required

Human-readable name of the project

​

createdAt

string\<date-time>

required

Timestamp when the project was created

​

updatedAt

string\<date-time>

required

Timestamp when the project was last updated

​

configuration

object

required

Configuration details for a project, including its scale to zero settings

Show child attributes

Was this page helpful?

[Previous](/docs/api-reference/projects/create-a-new-project)

[Delete a project](/docs/api-reference/projects/delete-a-project)

[Next](/docs/api-reference/projects/delete-a-project)
